<div class="w-100 banner-2 padded-left-right padded-top">
  <div class="w-100 d-flex flex-row">
    <!--<div class="double-padded-left-right" (click)="onClickSearch()">
      <i class="bi bi-explicit"></i>
    </div>-->
    <div class="double-padded-left-right font-weight-light icon-color">
      {{title}}
    </div>
    <div class="flex-grow-1">
    </div>
    <div *ngIf="!collapsed" class="double-padded-left-right cursor {{selectedRows && this.chosenAction ? '' : 'disabled'}}" (click)="onClickCollapse()" title="Collapse">
      <i class="bi bi-fullscreen-exit" title="Minimize"></i>
    </div>
    <div *ngIf="collapsed" class="double-padded-left-right cursor {{selectedRows && this.chosenAction ? '' : 'disabled'}}" (click)="onClickExpand()" title="Expand">
      <i class="bi bi-fullscreen" title="Maximize"></i>
    </div>
    <div class="double-padded-left-right cursor" (click)="onGoHome()" title="Home">
      <i class="bi bi-house"></i>
    </div>
  </div>
  <div class="w-100 d-flex flex-row padded-bottom align-items-center">
    <div class="flex-grow-1 d-flex">
      <!--  search removed until other components of ui complete ( searchLinks.length > 0) -->
      <div *ngIf="false" class="input-container hci-font">
        <input type="text" (keyup.enter)="onSearchClicked($event)"
               [(ngModel)]="search" />
        <button (click)="onSearchClicked($event)" >
          <i title="Search" class="bi bi bi-search fa-lg">
          </i>
        </button>
      </div>
      <div class="flex-grow-1"></div>
    </div>
    <div class="flex-grow-1 d-flex">
      <div #iconCorral>
        <div class="d-flex flex-row special-border vertical-gradient">
          <div class="d-flex flex-row padded double-padded-left-right cursor" [ngClass]="{disabled: !selectedRows || selectedRows.length === 0}" (click)="onClickRefresh()" >
            <i title="Refresh" class="bi bi-repeat fa-lg" aria-hidden="true"></i>
          </div>
          <div class="padded double-padded-left-right cursor" [ngClass]="this.getActionStates(UPLOAD_ACTION)"
               (click)="onClickUpload()">
            <i title="Upload" class="bi bi-upload fa-lg">
            </i>
          </div>
          <div class="d-flex flex-row padded double-padded-left-right cursor" [ngClass]="this.getActionStates(DOWNLOAD_ACTION)"
               (click)="onClickDownload()">
            <i title="Download" class="bi bi-download fa-lg"></i>
          </div>
          <div class="d-flex flex-row padded double-padded-left-right cursor" [ngClass]="this.getActionStates(PREVIEW_ACTION)"
               (click)="onClickPreview()">
            <i title="Preview" class="bi bi-file-earmark-richtext fa-lg"></i>
          </div>
          <div class="padded double-padded-left-right cursor" [ngClass]="this.getActionStates(DELETE_ACTION)"
               (click)="onClickDelete()">
            <i title="Delete" class="bi bi-x-lg">
            </i>
          </div>
          <div class="padded double-padded-left-right cursor" [ngClass]="this.getActionStates(PROPERTIES_ACTION)"
               (click)="onClickProperties()">
            <i title="Properties" class="bi bi-info-circle">
            </i>
          </div>
          <div class="padded double-padded-left-right cursor" style="position: relative;" (click)="onClickMenu($event)">
            <div [matMenuTriggerFor]="menu" [matMenuTriggerData]="menuData" class="position-relative rotatable {{ ( isMenuOpen ? ' activated rotated ' : '' ) + ( menuItemsExist() ? '' : ' disabled ' ) }}">
              <i title="Advanced" class="bi bi-three-dots-vertical fa-lg">
              </i>
            </div>
          </div>
        </div>
        <mat-menu #menu="matMenu" yPosition="below" class="menu-gradient" (close)="onCloseMenu($event)">
          <ng-template matMenuContent let-menuWidth="menuWidth">
            <div [style.width.px]="menuWidth">
              <button *ngFor="let link of contextMenuLinks" mat-menu-item class="d-flex flex-row" (click)="onClickContextButton(link)">
              <span class="w-icon">
                <i *ngIf="!!getIconForLink(link)" title="{{link.prompt}}" class="{{getIconForLink(link)}} fa-lg icon-color"></i>
              </span>
                <span class="flex-grow-1">
                {{link.prompt}}
              </span>
              </button>
              <div class="gradient">
              </div>
            </div>
          </ng-template>
        </mat-menu>
      </div>
      <div class="flex-grow-1"></div>
    </div>
  </div>
</div>
